/********************************************************************************
*****************************  PROVES  ******************************************
********************************************************************************/

/******************************************************************

                  ALTES, BAIXES I MODIFICACIONS

*******************************************************************/

/** Prova d'alta, baixa i moficiaci de VOTACIO **/
DECLARE
   RSP VARCHAR2(10000);
BEGIN
     --Alta duna votaci que ja ha estat creada.
     PKG_VOTACIONS.PR_ALTA_VOTACIO('Eleccions 2011', 'Eleccions nacionals 2011', '01/11/2011', '05/11/2011', '25/10/2011', 'Susanna Marin', 1, NULL, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);
     --Alta duna votaci amb dada de publicaci abans duna setmana de que sobri la votaci.
     PKG_VOTACIONS.PR_ALTA_VOTACIO('Eleccions 2015', 'Eleccions nacionals 2015', '01/11/2015', '05/11/2015', '25/11/2015', 'Ramn Sanchez', 2, NULL, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);
     --Alta duna votaci amb les dates dinici o fi errnies.
     PKG_VOTACIONS.PR_ALTA_VOTACIO('Eleccions 2015', 'Eleccions nacionals 2015', '01/11/2015', '05/10/2015', '25/10/2015', 'Ramn Sanchez', 2, NULL, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);
     --Alta duna votaci amb dades correctes.
     PKG_VOTACIONS.PR_ALTA_VOTACIO('Eleccions 2015', 'Eleccions nacionals 2015', '01/11/2015', '05/10/2015', '25/09/2015', 'Ramn Sanchez', 2, NULL, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);     
     --Modificaci duna votaci que existeix.
     PKG_VOTACIONS.PR_MODIFICACIO_VOTACIO(6,'Eleccions 2011', 'Eleccions nacionals 2011', '01/11/2011', '05/11/2011', '25/10/2011', 'Susanna Marin', 1, 
     'www.eleccions2012.com', 34301237, 24590557, 71, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);  
     --Modificaci duna votaci amb dates errnies.
     PKG_VOTACIONS.PR_MODIFICACIO_VOTACIO(6,'Eleccions 2011', 'Eleccions nacionals 2011', '01/11/2011', '05/09/2011', '25/11/2011', 'Susanna Marin', 1, 
     'www.eleccions2012.com', 34301237, 24590557, 71, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);      
     --Modificaci duna votaci que no existeix.
     PKG_VOTACIONS.PR_MODIFICACIO_VOTACIO(20,'Eleccions 2011', 'Eleccions nacionals 2011', '01/11/2011', '05/11/2011', '25/10/2011', 'Susanna Marin', 1, 
     'www.eleccions2012.com', 34301237, 24590557, 71, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);  
     --Baixa duna votaci que no existeix
     PKG_VOTACIONS.PR_BAIXA_VOTACIO(20, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);  
     --Baixa duna votaci que existeix.
     PKG_VOTACIONS.PR_BAIXA_VOTACIO(1, RSP);
     DBMS_OUTPUT.PUT_LINE(RSP);     
END;
/

/** Prova d'alta, baixa i moficiaci de OPCIO **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta duna opci que ja ha estat creada.
   PKG_VOTACIONS.PR_ALTA_OPCIO(5, 'PP', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   --Alta duna opci amb una votaci que no existeix.
   PKG_VOTACIONS.PR_ALTA_OPCIO(20, 'AAA', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   --Alta duna opci amb dades correctes.
   PKG_VOTACIONS.PR_ALTA_OPCIO(7, 'Partit Poltic', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);  
   --Modificaci duna opci que existeix.
   PKG_VOTACIONS.PR_MODIFICAR_OPCIO(9, 5, 'PP', 60, 60, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   PKG_VOTACIONS.PR_MODIFICAR_OPCIO(10, 5, 'PSOE', 30, 30, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   PKG_VOTACIONS.PR_MODIFICAR_OPCIO(11, 5, 'CIU', 10, 10, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci duna opci amb dates errnies.
   PKG_VOTACIONS.PR_MODIFICAR_OPCIO(11, 20, 'CIU', 10, 10, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Modificaci duna opci que no existeix.
   PKG_VOTACIONS.PR_MODIFICAR_OPCIO(20, 5, 'CIU', 10, 10, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Baixa duna opci que no existeix
   PKG_VOTACIONS.PR_BAIXA_OPCIO(20, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   --Baixa duna opci que existeix.
   PKG_VOTACIONS.PR_BAIXA_OPCIO(7, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
END;
/

/** Prova d'alta, baixa i moficiaci de PAIS **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta dun pas que ja ha estat creat.
   PKG_CENSOS.PR_ALTA_PAIS('DE','Alemania', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun pas amb dades correctes.
   PKG_CENSOS.PR_ALTA_PAIS('AG','Argentina', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Modificaci dun pas que existeix.
   PKG_CENSOS.PR_MODIFICACIO_PAIS('AG','Argentina 1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Modificaci dun pas amb dates errnies.
   PKG_CENSOS.PR_MODIFICACIO_PAIS(NULL,'Argentina 1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun pas que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_PAIS('ZZ','Argentina 1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Baixa dun pas que no existeix
   PKG_CENSOS.PR_BAIXA_PAIS('ZZ', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Baixa dun pas que existeix.
   PKG_CENSOS.PR_BAIXA_PAIS('AG', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);  
END;
/

/** Prova d'alta, baixa i moficiaci de REGIO **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta duna regi que ja ha estat creada.
   PKG_CENSOS.PR_ALTA_REGIO('Andaluca', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta duna regi amb dades correctes.
   PKG_CENSOS.PR_ALTA_PAISREGIO('ES', 16, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   PKG_CENSOS.PR_ALTA_REGIO('Regi Prova', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Modificaci duna regi que existeix.
   PKG_CENSOS.PR_MODIFICACIO_REGIO(18, 'Regi Prova 1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci duna regi amb dates errnies.
   PKG_CENSOS.PR_MODIFICACIO_REGIO(18, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);     
   --Modificaci duna regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_REGIO(22, 'Regi Prova 1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);     
   --Baixa duna regi que no existeix
   PKG_CENSOS.PR_BAIXA_REGIO(22, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Baixa duna regi que existeix.
   PKG_CENSOS.PR_BAIXA_REGIO(18, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);        
END;
/

/** Prova d'alta, baixa i moficiaci de PAISREGIO **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta dun pas-regi que ja ha estat creat.
   PKG_CENSOS.PR_ALTA_PAISREGIO('ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun pas-regi amb dades correctes.
   PKG_CENSOS.PR_ALTA_PAISREGIO('ES', 17, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);     
   PKG_CENSOS.PR_ALTA_PAISREGIO('DE', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
  --Alta dun pas-regi amb un pas que no existeix.
   PKG_CENSOS.PR_ALTA_PAISREGIO('Prova', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);  
   --Alta dun pas-regi amb una regi que no existeix.
   PKG_CENSOS.PR_ALTA_PAISREGIO('ES', 22, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);        
   --Modificaci dun pas-regi que existeix.
   PKG_CENSOS.PR_MODIFICACIO_PAISREGIO(1, 'ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun pas-regi amb un pas que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_PAISREGIO(1, 'Prova', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);  
   --Modificaci dun pas-regi amb una regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_PAISREGIO(1, 'ES', 22, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun pas-regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_PAISREGIO(100, 'ES', 22, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);     
   --Baixa dun pas-regi que no existeix
   PKG_CENSOS.PR_BAIXA_PAISREGIO(100);
   DBMS_OUTPUT.PUT_LINE(RSP);     
   --Baixa dun pas-regi que existeix.
   PKG_CENSOS.PR_BAIXA_PAISREGIO(18);
   DBMS_OUTPUT.PUT_LINE(RSP);      
END;
/

/** Prova d'alta, baixa i moficiaci de LOCALITAT **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta duna localitat que ja ha estat creada.
   PKG_CENSOS.PR_ALTA_LOCALITAT(7, 'Barcelona', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta duna localitat amb una regi que no existeix.
   PKG_CENSOS.PR_ALTA_LOCALITAT(100, 'Barcelona', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Alta duna localitat amb dades correctes.
   PKG_CENSOS.PR_ALTA_LOCALITAT(7, 'Gerona', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Modificaci duna localitat que existeix.
   PKG_CENSOS.PR_MODIFICACIO_LOCALITAT(12, 7, 'Girona', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);     
   --Modificaci duna localitat amb una regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_LOCALITAT(12, 100, 'Girona', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);       
   --Modificaci duna localitat que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_LOCALITAT(100, 7, 'Girona', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Baixa duna localitat que no existeix
   PKG_CENSOS.PR_BAIXA_LOCALITAT(100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Baixa duna localitat que existeix.
   PKG_CENSOS.PR_BAIXA_LOCALITAT(12, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
END;
/

/** Prova d'alta, baixa i moficiaci de CENSPAIS **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta dun cens pas que ja ha estat creat.
   PKG_CENSOS.PR_ALTA_CENSPAIS('ES', 5, 'ES', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun cens pas amb dades correctes.
   PKG_CENSOS.PR_ALTA_CENSPAIS('ES2', 1, 'ES', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun cens pas amb un pas que no existeix.
   PKG_CENSOS.PR_ALTA_CENSPAIS('ES2', 1, 'ZZ', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);     
   --Alta dun cens pas amb una votaci que no existeix.
   PKG_CENSOS.PR_ALTA_CENSPAIS('ES2', 100, 'DE', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun cens pas que existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSPAIS('ZZ', 1, 'DE', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Modificaci dun cens pas amb un pas que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSPAIS('ES2', 1, 'ZZ', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);     
   --Modificaci dun cens pas amb una votaci que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSPAIS('ES2', 100, 'DE', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);             
   --Baixa dun cens pas que no existeix
   PKG_CENSOS.PR_BAIXA_CENSPAIS('ZZ', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);       
   --Baixa dun cens pas que existeix.
   PKG_CENSOS.PR_BAIXA_CENSPAIS('ES2', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);       
END;
/

/** Prova d'alta, baixa i moficiaci de CENSREGIO **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta dun cens regi que ja ha estat creat.
   PKG_CENSOS.PR_ALTA_CENSREGIO(7, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun cens regi amb dades correctes.
   PKG_CENSOS.PR_ALTA_CENSREGIO(12, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun cens regi amb un pas que no existeix.
   PKG_CENSOS.PR_ALTA_CENSREGIO(100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);        
   --Modificaci dun cens regi que existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSREGIO(4, 13, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun cens regi amb un pas que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSREGIO(4, 100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);        
   --Modificaci dun cens regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSREGIO(100, 13, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);       
   --Baixa dun cens regi que no existeix
   PKG_CENSOS.PR_BAIXA_CENSREGIO(100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Baixa dun cens regi que existeix.
   PKG_CENSOS.PR_BAIXA_CENSREGIO(4, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
END;
/

/** Prova d'alta, baixa i moficiaci de CENSPAIS **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta dun cens pas regi que ja ha estat creat.
   PKG_CENSOS.PR_ALTA_CENSPAISREGIO('ES', 1, 'ES', 7, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun cens pas regi amb dades correctes.
   PKG_CENSOS.PR_ALTA_CENSPAISREGIO('ES', 1, 'ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun cens pas regi amb un cens pas que no existeix.   
   PKG_CENSOS.PR_ALTA_CENSPAISREGIO('ZZ', 1, 'ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Alta dun cens pas regi amb un cens regi que no existeix.
   PKG_CENSOS.PR_ALTA_CENSPAISREGIO('ES', 100, 'ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Alta dun cens pas regi amb un pas que no existeix.
   PKG_CENSOS.PR_ALTA_CENSPAISREGIO('ES', 1, 'ZZ', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Alta dun cens pas regi amb una regi que no existeix.
   PKG_CENSOS.PR_ALTA_CENSPAISREGIO('ES', 1, 'ES', 100, RSP);     
   --Modificaci dun cens pas regi que existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSPAISREGIO(4, 'ES', 1, 'ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Modificaci dun cens pas regi amb un cens pas que no existeix.   
   PKG_CENSOS.PR_MODIFICACIO_CENSPAISREGIO(4, 'ZZ', 1, 'ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Modificaci dun cens pas regi amb un cens regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSPAISREGIO(4, 'ES', 100, 'ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Modificaci dun cens pas regi amb un pas que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSPAISREGIO(4, 'ES', 1, 'ZZ', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Modificaci dun cens pas regi amb una regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSPAISREGIO(4, 'ES', 1, 'ES', 100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Modificaci dun cens pas regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSPAISREGIO(100, 'ES', 1, 'ES', 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Baixa dun cens pas regi que no existeix
   PKG_CENSOS.PR_BAIXA_CENSPAISREGIO(100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Baixa dun cens pas regi que existeix.
   PKG_CENSOS.PR_BAIXA_CENSPAISREGIO(4, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
END;
/

/** Prova d'alta, baixa i moficiaci de CENSLOCAL **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta dun cens local que ja ha estat creat.
   PKG_CENSOS.PR_ALTA_CENSLOCAL(1, 1, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun cens local amb dades correctes.
   PKG_CENSOS.PR_ALTA_CENSLOCAL(1, 3, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun cens local amb un cens regi que no existeix.
   PKG_CENSOS.PR_ALTA_CENSLOCAL(100, 3, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Alta dun cens local amb una localitat que no existeix.
   PKG_CENSOS.PR_ALTA_CENSLOCAL(1, 100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun cens local que existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSLOCAL(4, 1, 2, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
   --Modificaci dun cens local amb un cens regi que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSLOCAL(4, 100, 2, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun cens local amb una localitat que no existeix.
   PKG_CENSOS.PR_MODIFICACIO_CENSLOCAL(4, 1, 100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Baixa dun cens local que no existeix
   PKG_CENSOS.PR_BAIXA_CENSLOCAL(100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Baixa dun cens local que existeix.
   PKG_CENSOS.PR_BAIXA_CENSLOCAL(4, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);  
END;
/


/** Prova d'alta, baixa i moficiaci de CIUTADA **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta dun ciutad que ja ha estat creat.
   PKG_CIUTADA.PR_ALTA_CIUTADA('A1', '15/11/1986', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun ciutad amb dades correctes.
   PKG_CIUTADA.PR_ALTA_CIUTADA('A5', '02/09/1983', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Modificaci dun ciutad que existeix.
   PKG_CIUTADA.PR_MODIFICACIO_CIUTADA('A5', '02/06/1983', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun ciutad amb dates errnies.
   PKG_CIUTADA.PR_MODIFICACIO_CIUTADA('A5', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun ciutad que no existeix.
   PKG_CIUTADA.PR_MODIFICACIO_CIUTADA('ZZ', '02/09/1983', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Baixa dun ciutad que no existeix
   PKG_CIUTADA.PR_BAIXA_CIUTADA('ZZ', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Baixa dun ciutad que existeix.
   PKG_CIUTADA.PR_BAIXA_CIUTADA('A5', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);    
END;
/


/** Prova d'alta, baixa i moficiaci de CIUTADAOPCIO **/

DECLARE
   RSP VARCHAR2(10000);
BEGIN
   --Alta dun ciutad-opci que ja ha estat creat.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO('A1', 1, 9, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Alta dun ciutad-opci amb dades correctes.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO('A4', 1, 9,  RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
   --Alta dun ciutad-opci amb un ciutad que no existeix.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO('ZZ', 1, 9, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Alta dun ciutad-opci amb un cens local que no existeix.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO('A4', 100, 9, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Alta dun ciutad-opci amb una opci que no existeix.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO('A4', 1, 100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun ciutad-opci que existeix.
   PKG_CIUTADA.PR_MODIFICACIO_CIUTADAOPCIO(100,'A4', 1, 9, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun ciutad-opci amb un ciutad que no existeix.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO(6, 'ZZ', 1, 9, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
   --Modificaci dun ciutad-opci amb un cens local que no existeix.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO(6, 'A4', 100, 9, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);         
   --Modificaci dun ciutad-opci amb una opci que no existeix.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO(6, 'A4', 1, 100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);            
   --Baixa dun ciutad-opci que no existeix
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO(100, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);            
   --Baixa dun ciutad-opci que existeix.
   PKG_CIUTADA.PR_ALTA_CIUTADAOPCIO(6, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);      
END;
/


/******************************************************************

                  PROCEDIMENTS DE CONSULTES

*******************************************************************/

--Llistat de totes les votacions que shi han produt en un pas concret. 
SELECT * FROM TABLE(FUN_LLIST_VOTACIONS_PAIS(ES));
/

--Llistat de les 10 votacions on hi ha hagut ms diferencia percentual de vots 
--entre lopci ms votada i la menys votada. 
SELECT * FROM TABLE(FUN_LLIST_MES_DIFERENCIA_P);
/

--Llistat de les 10 votacions que han tingut menys diferencia percentual de vots
-- entre lopci ms votada i la menys votada. 
SELECT * FROM TABLE(FUN_LLIST_MENYS_DIFERENCIA_P);
/

--Donat el codi aleatori que identifica un ciutad, el llistat 
--de tots els censos als que pertany.
SELECT * FROM TABLE(FUN_LLIST_CENSOS_CIUTADA('A1'));
/

--Donat el codi aleatori que identifica un ciutad, el llistat de les votacions
-- en les que ha participat i en les que no.
SELECT * FROM TABLE(FUN_LLIST_PARTICIPACIO_CIUTADA('ES'));
/


/******************************************************************

                  MDUL D'ESTADSTIQUES

*******************************************************************/

--Donat un pas i un any concret: el nombre de votacions finalitzades que shi han 
--produt.
SELECT * FROM VOTACIONSFINALITZADES WHERE IDPAIS = ES AND ANYS = 2011;
/

--Donat un cens i un any concret: el valor mitj del percentatge de participaci, 
--tenint en compte totes les votacions associades a aquell cens electoral que han 
--finalitzat durant aquell any.
SELECT * FROM MITJAPERCENTATGEPARTICIPACIO WHERE IDCENS = ES AND ANYS = 2011;
/

--Donat un cens i un any concret: el nombre de votacions que ha tingut associades 
--aquell cens durant aquell any.
SELECT * FROM VOTACIONSCENS WHERE IDCENS = ES AND ANYS =2011;
/

--Donat un any concret: la votaci que ms participaci ha tingut.
SELECT * FROM VOTACIOMESPARTICIPACIO WHERE ANYS = 2011;
/

--Donat un any concret: la localitat europea que ms vots han ems els seus ciutadans.
SELECT * FROM LOCALITATMESVOTS WHERE ANYS = 2011;
/

--Donat un any concret: percentatge de ciutadans que mai han votat.
SELECT * FROM PERCENTATGECIUTADAMAIVOT WHERE ANYS = 2011;
/

--Votaci que histricament ha tingut ms participaci.
SELECT * FROM VOTHISTORICAMESPARTICIPACIO ORDER BY TOTALVOTS;
/

--Votaci que histricament ha tingut ms diferncia percentual entre lopci ms 
--votada i la menys.
SELECT * FROM VOTHISTORICAMESDIFERENCIA;

--Votaci que histricament ha tingut menys diferncia percentual entre lopci ms 
--votada i la menys.
SELECT * FROM VOTHISTORICAMENYSDIFERENCIA;

--Nmero mxim de votacions en les que ha participat una mateixa persona i el 
--pas daquesta persona, tenint en compte tota la histria de votacions dEuropa.
SELECT * FROM MAXVOTACIONSPERSONA WHERE CODCIUTADA = A1 AND PAIS = ES;



