
/************************************************************
*							    *
* Triggers de generaci de sequncies abans de la inserci  *
*							    *
************************************************************/
 
/****   TAULA VOTACIONS   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_VOTACIO
   BEFORE INSERT ON VOTACIO FOR EACH ROW 
   BEGIN
      SELECT S_IDVOTACIO.NEXTVAL 
      INTO :NEW.IDVOTACIO        
      FROM DUAL; 
END TR_AINS_VOTACIO;              
/

/****   TAULA OPCIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_OPCIO          
   BEFORE INSERT ON OPCIO FOR EACH ROW 
   BEGIN
      SELECT S_IDOPCIO.NEXTVAL 
      INTO :NEW.IDOPCIO  
      FROM DUAL; 
END TR_AINS_OPCIO;            
/

/****   TAULA REGIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_REGIO          
   BEFORE INSERT ON REGIO FOR EACH ROW 
   BEGIN
      SELECT S_IDREGIO.NEXTVAL 
      INTO :NEW.IDREGIO  
      FROM DUAL; 
END TR_AINS_REGIO;            
/

/****   TAULA PAISREGIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_PAISREGIO          
   BEFORE INSERT ON PAISREGIO FOR EACH ROW 
   BEGIN
      SELECT S_IDPAISREGIO.NEXTVAL 
      INTO :NEW.IDPAISREGIO  
      FROM DUAL; 
END TR_AINS_OPCIO;            
/

/****   TAULA LOCALITAT   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_LOCALITAT          
   BEFORE INSERT ON LOCALITAT FOR EACH ROW 
   BEGIN
      SELECT S_IDLOCALITAT.NEXTVAL 
      INTO :NEW.IDLOCALITAT  
      FROM DUAL; 
END TR_AINS_LOCALITAT;            
/

/****   TAULA CENSREGIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_CENSREGIO          
   BEFORE INSERT ON CENSREGIO FOR EACH ROW 
   BEGIN
      SELECT S_IDCENSREGIO.NEXTVAL 
      INTO :NEW.IDCENSREGIO  
      FROM DUAL; 
END TR_AINS_CENSREGIO;            
/

/****   TAULA CENSPAISREGIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_CENSPAISREGIO          
   BEFORE INSERT ON CENSPAISREGIO FOR EACH ROW 
   BEGIN
      SELECT S_IDCENSPAISREGIO.NEXTVAL 
      INTO :NEW.IDCENSPAISREGIO 
      FROM DUAL; 
END TR_AINS_CENSPAISREGIO;            
/

/****   TAULA CENSLOCAL   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_CENSLOCAL          
   BEFORE INSERT ON CENSLOCAL FOR EACH ROW 
   BEGIN
      SELECT S_IDCENSLOCAL.NEXTVAL 
      INTO :NEW.IDCENSLOCAL 
      FROM DUAL; 
END TR_AINS_CENSLOCAL;            
/

/****   TAULA CIUTADAOPCIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_CIUTADAOPCIO          
   BEFORE INSERT ON CIUTADAOPCIO FOR EACH ROW 
   BEGIN
      SELECT S_IDCIUTADAOPCIO.NEXTVAL 
      INTO :NEW.IDCIUTADAOPCIO 
      FROM DUAL; 
END TR_AINS_CIUTADAOPCIO;            
/

/****   TAULA LOG   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_LOG          
   BEFORE INSERT ON LOG FOR EACH ROW 
   BEGIN
      SELECT S_IDLOG.NEXTVAL 
      INTO :NEW.IDLOG  
      FROM DUAL; 
END TR_AINS_LOG;            
/


/***************** MDUL D'ESTADSTIQUES ******************/

/****   TAULA VOTACIONSFINALITZADES   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_VOTACIONSFINALITZADES          
   BEFORE INSERT ON VOTACIONSFINALITZADES FOR EACH ROW 
   BEGIN
      SELECT S_IDVOTACIONSFINALITZADES.NEXTVAL 
      INTO :NEW.IDVOTACIONSFINALITZADES  
      FROM DUAL; 
END TR_AINS_VOTACIONSFINALITZADES;            
/

/****   TAULA MITJAPERCENTATGEPARTICIPACIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_MITJAPERPARTICIPACIO          
   BEFORE INSERT ON MITJAPERCENTATGEPARTICIPACIO FOR EACH ROW 
   BEGIN
      SELECT S_IDMITJAPERPART.NEXTVAL 
      INTO :NEW.IDMITJAPERPART 
      FROM DUAL; 
END TR_AINS_MITJAPERPARTICIPACIO;            
/

/****   TAULA VOTACIONSCENS   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_VOTACIONSCENS          
   BEFORE INSERT ON VOTACIONSCENS FOR EACH ROW 
   BEGIN
      SELECT S_IDVOTACIONSCENS.NEXTVAL 
      INTO :NEW.IDVOTACIONSCENS  
      FROM DUAL; 
END TR_AINS_VOTACIONSCENS;            
/

/****   TAULA VOTACIOMESPARTICIPACIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_VOTACIOMESPARTICIPACIO          
   BEFORE INSERT ON VOTACIOMESPARTICIPACIO FOR EACH ROW 
   BEGIN
      SELECT S_IDVOTACIOMESPART.NEXTVAL 
      INTO :NEW.IDVOTACIOMESPART  
      FROM DUAL; 
END TR_AINS_VOTACIOMESPARTICIPACIO;            
/

/****   TAULA LOCALITATMESVOTS   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_LOCALITATMESVOTS          
   BEFORE INSERT ON LOCALITATMESVOTS FOR EACH ROW 
   BEGIN
      SELECT S_IDLOCALITATMESVOTS.NEXTVAL 
      INTO :NEW.IDLOCALITATMESVOTS  
      FROM DUAL; 
END TR_AINS_LOCALITATMESVOTS;            
/

/****   TAULA PERCENTATGECIUTADAMAIVOT   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_PERCIUTADAMAIVOT          
   BEFORE INSERT ON PERCENTATGECIUTADAMAIVOT FOR EACH ROW 
   BEGIN
      SELECT S_IDPERCIUTADAMAIVOT.NEXTVAL 
      INTO :NEW.IDPERCIUTADAMAIVOT  
      FROM DUAL; 
END TR_AINS_PERCIUTADAMAIVOT;            
/

/****   TAULA VOTHISTORICMESPARTICIPACIO   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_VOTHISMESPARTICIPACIO          
   BEFORE INSERT ON VOTHISTORICAMESPARTICIPACIO FOR EACH ROW 
   BEGIN
      SELECT S_IDVOTHISMESPART.NEXTVAL 
      INTO :NEW.IDVOTHISMESPART  
      FROM DUAL; 
END TR_AINS_VOTHISMESPARTICIPACIO;            
/

/****   TAULA VOTHISTORICDIFERENCIA   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_VOTHISDIFERENCIA          
   BEFORE INSERT ON VOTHISTORICADIFERENCIA FOR EACH ROW 
   BEGIN
      SELECT S_IDVOTHISDIF.NEXTVAL 
      INTO :NEW.IDVOTHISDIF  
      FROM DUAL; 
END TR_AINS_VOTHISDIFERENCIA;            
/

/****   TAULA MAXVOTACIONSPERSONA   ***/
CREATE OR REPLACE TRIGGER USUARITFC11.TR_AINS_MAXVOTACIONSPERSONA          
   BEFORE INSERT ON MAXVOTACIONSPERSONA FOR EACH ROW 
   BEGIN
      SELECT S_IDMAXVOTPERSONA.NEXTVAL 
      INTO :NEW.IDMAXVOTPERSONA  
      FROM DUAL; 
END TR_AINS_MAXVOTACIONSPERSONA;            
/
